<?php
require_once "connect.php";
require_once 'inc/usuario.php';


// capturando o usuário e unidade logado
$usuario_list = getLoggedUser();
$id_usuario=$usuario_list['id'];

$st_ativo 	= 1;
$ok         = true;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
  echo $id_usuario;
}

//Recebendo parametros do Form
if(isset($_POST['id'])){
  $id       = $_POST['id'];
}

  //$ds_codigo = $_POST['id_conta'];
  $id_banco  	= 	$_POST['id_banco'];
  $id_tipo   	= 	$_POST['id_tipo'];
  $ds_conta  	= 	$_POST['ds_conta'];
  $vl_saldo		=	$_POST['vl_saldo'];
  $vl_saldo		=	str_replace('.', '', $vl_saldo);
  $vl_saldo		=	str_replace('R$ ', '', $vl_saldo);
  $vl_saldo		=	str_replace(',', '.', $vl_saldo);

  
// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  $sql = "update erpc_financeiro_contas_bancarias 
								set id_banco = '$id_banco'
									, id_tipo_conta='$id_tipo'
									, ds_conta = '$ds_conta'
									, vl_saldo_estimado = '$vl_saldo'";

  $sql .= " where id = '$id'";
  
  echo $sql . '<br><br>';
  
}else
	if(isset($_POST['excluir'])) {
	$sql = "update erpc_financeiro_contas_bancarias 
								set st_ativo = 0";
	$sql .= " where id = '$id'";
}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_financeiro_contas_bancarias (  id_banco
															, id_tipo_conta
															, ds_conta
															, vl_saldo_estimado
															, st_ativo) 
												   values (   '$id_banco'
															, '$id_tipo'
															, '$ds_conta'
															, '$vl_saldo'
															, $st_ativo )";
}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = $sql; // $errorMsg
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_financeiro_contas_bancarias_list.php");
}
?>
